# This package is intended to be complete gtk2-engine package.
# All gtk2-engines here are unmaintained. There is no reason to split up
# these. Old package already includes engines out from gtk-engines2
# Afte gtk3 and GNOME 3x release this package needed better naming.

# This needs special care. Please do not mess with it.
%define pkgname             gtk2-theme-engines

%define lib_name            %mklibname %{pkgname}
%define cleanice_lib        %mklibname %{pkgname}-cleanice
%define flat_lib            %mklibname %{pkgname}-flat
%define bluecurve_lib       %mklibname %{pkgname}-bluecurve
%define mist_lib            %mklibname %{pkgname}-mist
%define nimbus_lib          %mklibname %{pkgname}-nimbus
%define lightbluehouse_lib  %mklibname %{pkgname}-lightbluehouse
%define nodoka_lib          %mklibname gtk-nodoka-engine
%define equinox_lib         %mklibname gtk-equinox-engine
%define old_libname         %mklibname gtk-engines2

%define cleanice_version        2.4.1
%define bluecurve_version       1.0.0
%define mist_version            0.5
%define nimbus_version          0.1.7
%define lightbluehouse_rel      eq3
%define lightbluehouse_version  2.7.5
%define nodoka_version          0.7.5
%define equinox_version         1.50
%define aurora_version          1.5
%define ubuntulooks_version     0.9.12

%define _requires_exceptions pkgconfig\(.*\)

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Name:                 %{pkgname}
Summary:              Default GTK+ 2.0 theme engines
Version:              2.20.2
Release:              %mkrel 2
License:              GPLv2+ and LGPLv2+
URL:                  https://download.gnome.org/sources/gtk-engines/
Group:                System/Libraries

BuildRequires:        pkgconfig(libglade-2.0)
BuildRequires:        pkgconfig(gtk+-2.0)
BuildRequires:        pkgconfig(gdk-pixbuf-2.0)
BuildRequires:        pkgconfig(lua)
BuildRequires:        intltool
BuildRequires:        icon-naming-utils

Source0:            https://download.gnome.org/sources/gtk-engines/gtk-engines-%{version}.tar.bz2
Source1:            http://prdownloads.sourceforge.net/elysium-project/gtk-engines-cleanice-%{cleanice_version}.tar.bz2
Source2:            http://themes.freshmeat.net/redir/gtk2flat/31385/url_tgz/gtk2flat-default.tar.bz2
Source3:            bluecurve-gtk-themes-%{bluecurve_version}.tar.bz2
Source4:            http://dlc.sun.com/osol/jds/downloads/extras/nimbus/nimbus-%{nimbus_version}.tar.bz2
#http://gnome-look.org/content/show.php/LighthouseBlue+GTK2+Engine?content=137266
Source5:            http://gnome-look.org/CONTENT/content-files/137266-gtk-engines-lighthouseblue-%{lightbluehouse_version}-%{lightbluehouse_rel}.tar.gz
#http://fedoraproject.org/wiki/Artwork/NodokaTheme
Source6:            https://fedorahosted.org/released/nodoka/gtk-nodoka-engine-%{nodoka_version}.tar.gz
#http://gnome-look.org/content/show.php?content=121881
Source7:            http://gnome-look.org/CONTENT/content-files/121881-equinox-%{equinox_version}.tar.gz
Source8:            http://gnome-look.org/CONTENT/content-files/140448-equinox-themes-1.30.tar.gz
# http://gnome-look.org/content/show.php?content=56438
# http://gnome-look.org/CONTENT/content-files/56438-aurora-%{aurora_version}.tar.bz2
Source9:            aurora-gtk-engine-%{aurora_version}.tar.gz
Source10:           Aurora.tar.bz2
Source11:           http://archive.ubuntu.com/ubuntu/pool/main/u/ubuntulooks_%{ubuntulooks_version}.orig.tar.gz
#http://gnome-look.org/content/show.php/xl_cheeselooks+gtk-engine?content=73163
Source12:           xl_cheeselooks_Engine_Themes.tar.gz
Source13:           http://gnome-look.org/CONTENT/content-files/75868-xl_cheeselooks_ThemePack.tar.gz

Patch1:             gtk-engines-2.20.2-glib.patch
Patch2:             gtk-engines-2.20.2-automake-1.13.patch
Patch3:             equinox-engine-1.5.0-glib.patch
Patch4:             ubuntulooks-0.9.12-fix_listview_arrows_drawing.patch
Patch5:             ubuntulooks-0.9.12-fix_tick_box_drawing.patch
Patch6:             ubuntulooks-0.9.12-fix-firefox-buttons.patch
Patch7:             xl-cheese-engine-1.1-missing_automake_files.patch

Requires:           %{lib_name} >= %{version}
Provides:           gtk-theme-clearlooks
Obsoletes:          gtk-theme-clearlooks
Provides:           gtk-nodoka-engine
Obsoletes:          gtk-nodoka-engine
Provides:           gtk-nodoka-engine-extras
Obsoletes:          gtk-nodoka-engine-extras
Provides:           gtk-engines2
Obsoletes:          gtk-engines2
Provides:           gtk-equinox-engine
Obsoletes:          gtk-equinox-engine

Suggests:           nimbus-icon-theme

%description
These are the graphical engines for the various GTK2+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Equinox
  - Nodoka
  - Nimbus
  - Many more...


# build main package libs--------------------------------------------------------------------

%package -n %{lib_name}
Summary:        Library files for %{name}
Group:          System/Libraries
Requires:       gtk+2.0 >= 2.9.0
Provides:       %{equinox_lib}
Obsoletes:      %{equinox_lib}
Provides:       %{nodoka_lib}
Obsoletes:      %{nodoka_lib}
Provides:       %{old_libname} 
Obsoletes:      %{old_libname}

%description -n %{lib_name}
Library files for %{name}

# nimbus icon theme------------------------------------------------------------------------
%package -n nimbus-icon-theme
Summary:    Nimbus icon theme
Group:      Graphical desktop/Other
BuildArch:  noarch

%description -n nimbus-icon-theme
Opensolaris icon theme for Gnome and other desktops.

#-------------------------------------------------------------------------------------------

%prep
%setup -q -n gtk-engines-%{version} -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 9 -a 11 -a 12 -a 13

#remove broken automake symlinks for xlcheese engine
rm -r xl_cheeselooks_Engine_Themes/gtk-enginesxl_cheese/{depcomp,INSTALL,install-sh,missing}
%apply_patches
(mkdir -p equinox-1.50/themes && %__tar fx %SOURCE8 -C equinox-1.50/themes)
(mkdir -p aurora-%{aurora_version}/themes && %__tar fx %SOURCE10 -C aurora-%{aurora_version}/themes)
for i in $(find . -name "*~"); do %{__rm} -fr $i; done

%build
# does not work because of $(filter...
# autoreconf -fi

# Build: gtk-engines --------------------------------------------------------------------------------------------------------------------------------
%configure2_5x --enable-lua --with-system-lua --enable-animation
%make LIBS=-lm

# Build: gtk-engines-cleanice -----------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-cleanice-%{cleanice_version}/
libtoolize --copy --force
aclocal
autoconf
%configure2_5x
%make
popd

# Build: gtk-flat-theme -----------------------------------------------------------------------------------------------------------------------------
pushd gtk-flat-theme-2.0/
autoreconf -fi
%configure2_5x
%make libflat_la_LIBADD="-lgtk-x11-2.0 -lgdk-x11-2.0 -lgobject-2.0 -lglib-2.0"
popd

# Build: bluecurve ----------------------------------------------------------------------------------------------------------------------------------
pushd bluecurve-gtk-themes-%{bluecurve_version}/
%configure2_5x
%make
popd

# Build: equinox --------------------------------------------------------------------------------------------------------------------------------------
pushd equinox-%{equinox_version}
%configure2_5x --enable-animation
%make LIBS='-lm'
popd

# Build: gtk-nodoka-engine -----------------------------------------------------------------------------------------------------------------------------
pushd gtk-nodoka-engine-%{nodoka_version}
%configure2_5x --with-gtk=2.0
%make LIBS='-lm'
popd

# Build: gtk-engines-lighthouseblue----------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-lighthouseblue-%{lightbluehouse_version}-eq1.2
%configure2_5x
%make
popd

# Build: nimbus ------------------------------------------------------------------------------------------------------------------------------------------
pushd nimbus-%{nimbus_version}
%configure2_5x --disable-static
%make LIBS='-lm -lX11 -lXxf86vm'
popd

# Build: aurora  ------------------------------------------------------------------------------------------------------------------------------------------
pushd aurora-%{aurora_version}
%configure2_5x --enable-animation
%make LIBS='-lm'
popd

# Build: ubuntulooks----------------------------------------------------------------------------------------------------------------------------------------
pushd ubuntulooks-%{ubuntulooks_version}
%configure2_5x --enable-animation
%make LIBS='-lm'
popd

# Build: xl_cheese ------------------------------------------------------------------------------------------------------------------------------------------
cd xl_cheeselooks_Engine_Themes
pushd gtk-enginesxl_cheese
%configure2_5x
%make LIBS='-lm'
popd
cd ..

%install
find %{buildroot} -name *.la | xargs rm -f

%makeinstall_std

# Install: cleanice  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-cleanice-%{cleanice_version}/
%makeinstall_std
popd

# Install: flat  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-flat-theme-2.0/
%makeinstall_std libflat_la_LIBADD="-lgtk-x11-2.0 -lgdk-x11-2.0 -lgobject-2.0 -lglib-2.0"
popd

# Install: bluecurve ------------------------------------------------------------------------------------------------------------------------------------------
pushd bluecurve-gtk-themes-%{bluecurve_version}/
%makeinstall_std
popd

# Install: equinox  ------------------------------------------------------------------------------------------------------------------------------------------
pushd equinox-%{equinox_version}
%makeinstall_std
cp -ar themes/* %{buildroot}%{_datadir}/themes
install -D -m 644 AUTHORS ../Equinox-AUTHORS
popd

# Install: nodoka  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-nodoka-engine-%{nodoka_version}
%makeinstall_std
install -m 644 AUTHORS ../Nodoka-AUTHORS
popd

# Install: lighthouseblue  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-lighthouseblue-%{lightbluehouse_version}-eq1.2
%makeinstall_std
install -m 644 AUTHORS ../Lighthouseblue-AUTHORS
popd

# Install: nimbus  ------------------------------------------------------------------------------------------------------------------------------------------
pushd nimbus-%{nimbus_version}
%makeinstall_std
install -m 644 AUTHORS ../Nimbus-AUTHORS
popd

# Install: aurora  ------------------------------------------------------------------------------------------------------------------------------------------
pushd aurora-%{aurora_version}
%makeinstall_std
cp -ar themes/* %{buildroot}%{_datadir}/themes
install -m 644 AUTHORS ../Aurora-AUTHORS
popd

pushd ubuntulooks-%{ubuntulooks_version}
%makeinstall_std
install -m 644 AUTHORS ../Ubuntulooks-AUTHORS
popd

# Install: xlcheese  ------------------------------------------------------------------------------------------------------------------------------------------
cd xl_cheeselooks_Engine_Themes
pushd gtk-enginesxl_cheese
%{makeinstall_std}
install -m 644 engines/xl_cheeselooks/AUTHORS ../../Xlcheese-AUTHORS
popd
cp -ar {blueboo,xl_cheeselooks_LightAlt,brightOrangexl_dark,xl_cheeselooksBlueMono,xl_monochrome,xl_cheeselooks_Dark} %{buildroot}%{_datadir}/themes/
cd ..
cp -ar xl_cheeselooks_ThemePack/* %{buildroot}%{_datadir}/themes/

# don't override gtk-engines-2.pc with one from xl_cheeselooks_Engine_Themes
install -Dpm644 gtk-engines-2.pc %{buildroot}%{_libdir}/pkgconfig/gtk-engines-2.pc

#remove empty files
rm -f %{buildroot}%{_datadir}/themes/*/ICON.png \
  %{buildroot}%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.la \
  %{buildroot}%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.a

#gw needed at build time only
rm -rf %{buildroot}%{_datadir}/locale

#--------------------------------------------------------------------

%files
%doc README AUTHORS Aurora-AUTHORS Nimbus-AUTHORS Lighthouseblue-AUTHORS Nodoka-AUTHORS Equinox-AUTHORS Ubuntulooks-AUTHORS Xlcheese-AUTHORS
%{_datadir}/themes/*
%{_datadir}/gtk-engines/

%files -n %{lib_name}
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.*
%{_libdir}/pkgconfig/*

%files -n nimbus-icon-theme
%dir %{_datadir}/icons/nimbus/
%{_datadir}/icons/nimbus/*x*
%ghost %{_datadir}/icons/nimbus/icon-theme.cache




%changelog
* Mon Dec 23 2013 wally <wally> 2.20.2-2.mga4
+ Revision: 560117
- don't override gtk-engines-2.pc with one from xl_cheeselooks_Engine_Themes

* Tue Dec 10 2013 tarakbumba <tarakbumba> 2.20.2-1.mga4
+ Revision: 556151
- imported package gtk2-theme-engines

